com.independentsoft.exchange

## Enum FlaggedForAction

- java.lang.Object
- - java.lang.Enum<FlaggedForAction>
  - - com.independentsoft.exchange.FlaggedForAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlaggedForAction>

      public enum FlaggedForAction
      extends java.lang.Enum<FlaggedForAction>

  Specifies the flag for action value that must appear on incoming messages in order for the condition or exception to apply.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` The message is flagged with any action.
    `CALL` The recipient is requested to call the sender.
    `DO_NOT_FORWARD` The recipient is requested not to forward the message.
    `FOLLOW_UP` The recipient is requested to follow up on the message.
    `FORWARD` The recipient is requested to forward the message.
    `FYI` The recipient received the message for information.
    `NO_RESPONSE_NECESSARY` The recipient is informed that a response to the message is not required.
    `NONE` None.
    `READ` The recipient is requested to read the message.
    `REPLY` The recipient is requested to reply to the sender of the message.
    `REPLY_TO_ALL` The recipient is requested to reply to everyone the message was sent to.
    `REVIEW` The recipient is requested to review the message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlaggedForAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlaggedForAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FlaggedForAction ANY

      The message is flagged with any action.

    - #### CALL

          public static final FlaggedForAction CALL

      The recipient is requested to call the sender.

    - #### DO_NOT_FORWARD

          public static final FlaggedForAction DO_NOT_FORWARD

      The recipient is requested not to forward the message.

    - #### FOLLOW_UP

          public static final FlaggedForAction FOLLOW_UP

      The recipient is requested to follow up on the message.

    - #### FYI

          public static final FlaggedForAction FYI

      The recipient received the message for information.

    - #### FORWARD

          public static final FlaggedForAction FORWARD

      The recipient is requested to forward the message.

    - #### NO_RESPONSE_NECESSARY

          public static final FlaggedForAction NO_RESPONSE_NECESSARY

      The recipient is informed that a response to the message is not required.

    - #### READ

          public static final FlaggedForAction READ

      The recipient is requested to read the message.

    - #### REPLY

          public static final FlaggedForAction REPLY

      The recipient is requested to reply to the sender of the message.

    - #### REPLY_TO_ALL

          public static final FlaggedForAction REPLY_TO_ALL

      The recipient is requested to reply to everyone the message was sent to.

    - #### REVIEW

          public static final FlaggedForAction REVIEW

      The recipient is requested to review the message.

    - #### NONE

          public static final FlaggedForAction NONE

      None.

  - ### Method Detail

    - #### values

          public static FlaggedForAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlaggedForAction c : FlaggedForAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlaggedForAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null